Skip to main content
GET
/
v2
/
farcaster
/
user
/
subscriptions_created
/
Subscriptions created by FID
curl --request GET \
  --url https://api.neynar.com/v2/farcaster/user/subscriptions_created/ \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.neynar.com/v2/farcaster/user/subscriptions_created/"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.neynar.com/v2/farcaster/user/subscriptions_created/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "subscriptions_created": [
    {
      "subscriptions_created": [
        {
          "chain": 8453,
          "contract_address": "0xff63fc310d47ef80961056ac8df0b3f1a9e3ef58",
          "metadata": {
            "art_url": "https://storage.withfabric.xyz/loom/403fdc10-95f3-4b25-9d77-5aac7ccb9fd1.jpg",
            "symbol": "MMS",
            "title": "/memes channel sub"
          },
          "object": "subscription",
          "owner_address": "0xb6f6dce6000ca88cc936b450cedb16a5c15f157f",
          "price": {
            "initial_mint_price": "0",
            "period_duration_seconds": 2592000,
            "tokens_per_period": "350574998400000"
          },
          "protocol_version": 1,
          "token": {
            "address": null,
            "decimals": 18,
            "erc20": false,
            "symbol": "ETH"
          },
          "provider_name": "fabric_stp",
          "tiers": [
            {
              "id": 1,
              "price": {
                "initial_mint_price": "0",
                "period_duration_seconds": 2592000,
                "tokens_per_period": "3000000000000000"
              }
            }
          ]
        }
      ]
    }
  ]
}
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}

Node.js SDK

šŸ”— SDK Method: fetchSubscriptionsForFid Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Query Parameters

fid
integer<int32>
required

The unique identifier of a farcaster user or app (unsigned integer)

Required range: x >= 0
Example:

3

subscription_provider
enum<string>
required

The provider of the subscription.

Available options:
fabric_stp

Response

Success

subscriptions_created
Subscriptions Ā· object[]